<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html" encoding="UTF-8"/>


  <xsl:template match="Anchor">
    <p/>
    <img height="20" src="../gatherer_small.gif" width="20"/>
    <a name="{@name}"><xsl:text> </xsl:text><xsl:apply-templates/></a>
    <p style="text-align:justify"/>
  </xsl:template>


  <xsl:template match="Break">
    <p/>
  </xsl:template>


  <xsl:template match="Contents">
    <p/>
    <table align="center" border="2" cellpadding="2" width="480" bgcolor="#B0D0B0">
      <tr>
        <td align="center">
          <font face="Verdana" size="4">
            <strong>
              Contents
            </strong>
          </font>
        </td>
      </tr>

      <tr>
        <td>
          <table bgcolor="#FFFFFF" border="0" cellpadding="2" width="100%">
            <xsl:apply-templates/>
          </table>
        </td>
      </tr>
    </table>
    <p/>
  </xsl:template>


  <xsl:template match="ContentsGroup">
    <tr>
      <td colspan="3">
        <a href="#{@linkto}">
	  <xsl:variable name="linkTo" select="@linkto"/>
	  <xsl:value-of select="parent::Contents/parent::Section/Anchor[@name=$linkTo]"/>
	</a>
      </td>
    </tr>

    <xsl:apply-templates/>
  </xsl:template>


  <xsl:template match="ContentsItem">
    <xsl:variable name="depth" select="count(ancestor::ContentsItem) + 1"/>
    <tr>
      <td colspan="{$depth}">
        <xsl:text> </xsl:text>
      </td>
      <td colspan="{3 - $depth}">
        <xsl:apply-templates/>
      </td>
    </tr>
  </xsl:template>


  <xsl:template match="Document">
    <xsl:for-each select="Section">
      <xsl:call-template name="processSection">
	<xsl:with-param name="sectionHead" select="position()"/>
      </xsl:call-template>
    </xsl:for-each>
  </xsl:template>


  <xsl:template match="Reference">
    <a href="{@target}.htm#{@target}"><xsl:apply-templates/></a>
  </xsl:template>


  <xsl:template match="Section"/>


  <xsl:template match="Title"/>


  <xsl:template name="processSection">
    <xsl:param name="sectionHead"/>

    <html>
      <head>
        <title>The Greenstone Librarian Interface - Help Pages</title>
      </head>
      <body bgcolor="#E0F0E0">
        <table border="2" bgcolor="#B0D0B0" cellpadding="5" cellspacing="0" width="100%">
          <tr>
            <td align="center" width="15%">
              <img height="45" src="../gatherer_medium.gif" width="45"/>
            </td>
            <td align="center" width="*">
              <a name="{@name}">
                <xsl:call-template name="processTitle">
                  <xsl:with-param name="sectionNumber" select="$sectionHead"/>
	          <xsl:with-param name="sectionTitle" select="Title"/>
                </xsl:call-template>
              </a>	    
            </td>
            <td align="center" width="15%">
              <img height="45" src="../gatherer_medium.gif" width="45"/>
            </td>
          </tr>
        </table>

        <xsl:apply-templates/>
      </body>
    </html>

    <xsl:for-each select="Section">
      <xsl:call-template name="processSection">
        <xsl:with-param name="sectionHead" select="concat($sectionHead, '.', position())"/>
      </xsl:call-template>
    </xsl:for-each>
  </xsl:template>


  <xsl:template name="processTitle">
    <xsl:param name="sectionNumber"/>
    <xsl:param name="sectionTitle"/>

    <font face="Verdana" size="5">
      <strong>
        <xsl:value-of select="concat($sectionNumber, ': ', $sectionTitle)"/>
      </strong>
    </font>
  </xsl:template>

</xsl:stylesheet>